=== debian/changelog ===
rhtvision (2.2.3-1) stable; urgency=medium

  * Compiles with gcc 10.2
  * Fixes to TInputLine (not showing last char)
  * Fixes in Linux ISO-8859-1 code page ($ pasted as currency symbol)
  + Fixes to avoid negative mouse coordinates on Linux terminals

 -- Salvador E. Tropea <salvador@inti.gov.ar>  Sun, 23 Aug 2020 09:35:58 -0300

rhtvision (2.2.2-2) stable; urgency=medium

  * Excluded some control characters from the UTF8 conversion

 -- Salvador Eduardo Tropea <salvador@inti.gov.ar>  Tue, 01 Aug 2017 14:24:52 -0300

rhtvision (2.2.2-1) stable; urgency=medium

  * Fixed: Stretch compilation issues
  * Fixed: Performance issues on Stretch, verified they don't wrongly impact
    Jessie.

 -- Salvador Eduardo Tropea <salvador@inti.gov.ar>  Mon, 31 Jul 2017 10:30:01 -0300

rhtvision (2.2.1-4) stable; urgency=low

  * Fixed: Wheeze compilation issues (unused variables and some casts)
  * Fixed: Jessie compilation issues

 -- Salvador Eduardo Tropea <salvador@inti.gov.ar>  Tue, 02 Jun 2015 12:58:30 -0300

rhtvision (2.2.1-3) unstable; urgency=low

  * Fixed: gqview issues.

 -- Salvador Eduardo Tropea <salvador@inti.gov.ar>  Fri, 22 Jun 2012 13:04:49 -0300

rhtvision (2.2.1-2) unstable; urgency=low

  * Fixed: Squeeze compilation issues (strict aliasing violated)

 -- Salvador E. Tropea <set@ieee.org>  Mon, 06 Jun 2011 09:46:02 -0300

rhtvision (2.2.1-1) unstable; urgency=low

  * Fixed: TVConfigFile::GetString not removing trailing "
  * Added: TScreen::windowClass to help X11 window managers.

 -- Salvador E. Tropea <set@ieee.org>  Wed, 14 Jul 2010 09:59:58 -0300

rhtvision (2.2.0-1) unstable; urgency=low

  * Added AlCon (Alegro conio emulation) driver.

 -- Salvador E. Tropea <set@ieee.org>  Tue, 23 Jun 2009 14:12:45 -0300

rhtvision (2.1.0-5) unstable; urgency=low

  * Modified to compile with Lenny (now stable)

 -- Salvador E. Tropea <set@ieee.org>  Thu, 26 Feb 2009 16:15:23 -0200

rhtvision (2.1.0-4) unstable; urgency=low

  * Accept Salvador changes in his 2.1.0-4 but fixed to depend first in the
    current non-transitional-dummy package of the GPM library.
  * Also put those changes in the control file in addition to the control.in
    one.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Wed, 27 Aug 2008 00:34:14 -0300

rhtvision (2.1.0-3) unstable; urgency=low

  * Added XBS-Bugs: mailto:ibaldo@adinet.com.uy fields to the control file
    so that reportbug sends bug reports to me instead of the Debian Bug
    Tracking System.
  * Bumped Standards-Version to 3.7.2.2, no changes.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Tue, 08 May 2007 16:13:42 -0300

rhtvision (2.1.0-3etch) unstable; urgency=low

  * Adapted to compile with etch.

 -- Salvador E. Tropea <set@ieee.org>  Wed, 18 Apr 2007 16:52:33 -0300

rhtvision (2.1.0-2) unstable; urgency=low

  * No longer delete these files because they no longer exist or are deleted
    by the upstream now: linuxso/gkeyli.cc, linuxso/instlib,
    linuxso/rhide.env, linux/rhide.env, linuxso/Makefile, linuxso/compat.mak,
    intl/es_iso.mo, intl/es_iso.po, intl/es.mo, intl/ru.mo, intl/pl.mo.
  * If you want to compile with GCC 4.0.3 comment out #undef  _LIBINTL_H and
    #define _LIBINTL_H 1 in include/compatlayer.h.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Wed, 25 Jan 2006 20:21:46 -0200

rhtvision (2.1.0-1) unstable; urgency=low

  * New upstream version, still unstable so we cannot guarantee that nothing
    bad happens to your dog if you use this stuff!
  * Updated Build-Depends: added "file" (but I am not sure it is used or
    needed, dpkg-depcheck reported it though), instead
    of xlibs-dev | xlib6g-dev now it has libxmu-dev | xlibs-dev | xlib6g-dev
    and libx11-dev | xlibs-dev | xlib6g-dev, this should give backwards
    compatibility for various old Debian versions.
  * Changed Depends of rhtvision*-dev package: removed libc6-dev and
    libstdc++-dev since they are build-essential and also if someone is going
    to compile something like a hello world in C++ they should have them,
    instead of xlibs-dev | xlib6g-dev now it has libxmu-dev | xlibs-dev |
    xlib6g-dev and libx11-dev | xlibs-dev | xlib6g-dev.
  * Remove on clean the generated intl/pl.mo file (doh! come on Salvador!
    provide a complete clean target! distribution packagers shouldn't be doing
    this stuff).
  * Bumped Standards-Version to 3.6.2.0, we should rename this package
    librhtv but I don't like it too much.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Thu, 18 Aug 2005 22:50:33 -0300

rhtvision (2.0.4-1) unstable; urgency=low

  * New upstream version, this is unstable yet, beware!

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Thu, 23 Dec 2004 19:17:59 -0200

rhtvision (2.0.3-3) unstable; urgency=low

  * Salvador says this is it!, this is the version that will be officially
    released! CVS release 2.599 2004/11/02 20:06:39.
    Greetings to all my fans!!! (do I have one?) Anyway, I dedicate this
    release to Enyunari!!!

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Sun, 21 Nov 2004 16:29:07 -0200

rhtvision (2.0.3-2) unstable; urgency=low

  * With a new version of lintian it complained that we should not
    build-depend on make and gzip because the first is a build-essential
    package and the second is an essential package. 

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Tue,  5 Oct 2004 20:24:34 -0200

rhtvision (2.0.3-1) unstable; urgency=low

  * New upstream version! CVS release 2.573 2004/09/22 21:26:40.
  * Its been so long... I don't remember almost anything about Debian
    packaging; I was very quiet all this time, without doing testing releases
    and without testing developer versions. I am extremely lazy since then,
    not only for this but for many other things of life in general, my home
    computer isn't very well maintained neither and I am not very aware about
    Debian as I was before. Anyway, lets try to be a bit useful and at the
    same time thankful of this superb software.
  * Bumped Standards-Version to 3.6.1.0 (and I hope it complies!).


